Bug 1957049 - F34FailsToInstall: python3-rpy
Summary: F34FailsToInstall: python3-rpy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpy
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-05-04 22:43 UTC by Miro Hrončok
Modified: 2021-05-12 05:43 UTC (History)
2 users (show)

Fixed In Version: rpy-3.4.4-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-12 05:43:35 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-05-04 22:43:08 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (rpy) Fails To Install in Fedora 34:

can't install python3-rpy:
  - nothing provides R-core = 4.0.4 needed by python3-rpy-3.4.2-3.fc34.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 José Matos 2021-05-05 07:34:20 UTC
(In reply to Miro Hrončok from comment #0)
> Hello,
> 
> Please note that this comment was generated automatically. If you feel that
> this output has mistakes, please contact me via email (mhroncok@redhat.com).
> 
> Your package (rpy) Fails To Install in Fedora 34:
> 
> can't install python3-rpy:
>   - nothing provides R-core = 4.0.4 needed by python3-rpy-3.4.2-3.fc34.x86_64
>   
> P.P.S. If this bug has been reported in the middle of upgrading multiple
> dependent packages, please consider using side tags:
> https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-
> dependent-packages


This is the case so I will wait for https://bodhi.fedoraproject.org/updates/FEDORA-2021-d34276bd7c to reach stable before closing the bug.

Comment 2 Fedora Update System 2021-05-05 08:19:23 UTC
FEDORA-2021-d34276bd7c has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d34276bd7c

Comment 3 Fedora Update System 2021-05-12 05:43:35 UTC
FEDORA-2021-d34276bd7c has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.